#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QStandardItemModel>
#include <QStandardItem>
#include <QTreeWidgetItem>
#include <QTextCodec>
#include <QSqlDatabase>

#include <QtGui>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::MainWindow *ui;

    QStandardItemModel *model;
    QStandardItem *item;
    QTreeWidgetItem *rootItem1, *rootItem2;
    void openBase();
    bool readModel();
    void setupModelData(const QStringList &lines, QTreeWidgetItem *parent);
    void creatModelString();
    QString modelString; // ,   
    void addChildsString(QTreeWidgetItem *parentItem, int level);
};

#endif // MAINWINDOW_H
